summaryrefslogtreecommitdiff
path: root/paccheck.hook
diff options
context:
space:
mode:
Diffstat (limited to 'paccheck.hook')
-rw-r--r--paccheck.hook18
1 files changed, 18 insertions, 0 deletions
diff --git a/paccheck.hook b/paccheck.hook
new file mode 100644
index 0000000..c5f3668
--- /dev/null
+++ b/paccheck.hook
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+case "$1" in
+ 'head')
+ :
+ ;;
+ 'foot')
+ echo '----------------------- Pacman Check Begin -------------------------'
+ echo
+ paccheck --list-broken --sha256sum
+ echo
+ echo '------------------------ Pacman Check End --------------------------'
+ ;;
+ *)
+ >&2 printf 'usage: %s head|foot\n' "${0##*/}"
+ exit 1
+ ;;
+esac